# Get Invited Contact List

## Get Invited Contact List

## Get Invited Contact List

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/event?action=getInvitedContactList`

Get a list of invited contact for event.

#### Request Body

| Name    | Type    | Description                                                                                                       |
| ------- | ------- | ----------------------------------------------------------------------------------------------------------------- |
| eventId | integer | The unique id of the event to which the invitation belong                                                         |
| start   | integer | The starting result of the page. Note this is zero based (i.e. sending start=0 will start from the first result.) |
| perPage | integer | The number of invited contacts to fetch                                                                           |

{% tabs %}
{% tab title="200 " %}

```
{
    "meta": {
        "totalResults": 345,
        "start": 0,
        "perPage": 2,
        "count": 2
    },
    "results": [
        {
            "eventId": 1,
            "contactId": 1,
            "firstName": "Test",
            "lastName": "Last",
            "email": "first@test.com",
            "phone": "1346789798",
            "response": "Y",
            "registrationId": 1,
            "modifiedDate": "2018-09-19 09:00:34 UTC"
        },
        {
            "eventId": 1,
            "contactId": 2,
            "firstName": "Test",
            "lastName": "Two",
            "email": "test@two.com",
            "phone": "+61 123456789",
            "response": "U",
            "registrationId": null,
            "modifiedDate": "2018-09-19 08:57:11 UTC"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

The result from this call will be a [collection](/getting-started/interpreting-the-response/collections.md) of invited contact records the user has access to. This call also accepts the [pagination](/getting-started/interpreting-the-response/pagination.md) and [filter](/getting-started/interpreting-the-response/filtering.md) properties.

### Returns

| Property       | Description                                           | Type     |
| -------------- | ----------------------------------------------------- | -------- |
| eventId        | The unique id of the event for invited contact        | integer  |
| contactId      | The unique contact id of the invited contact          | integer  |
| firstName      | The first name of the invited contact                 | integer  |
| lastName       | The last name of the invited contact                  | integer  |
| email          | The email of the invited contact                      | string   |
| phone          | The phone number of the invited contact               | string   |
| response       | The [response](#response) from the invited contact    | string   |
| registrationId | The registration id of the invited contact            | integer  |
| modifiedDate   | The date & time the invited contact was last modified | datetime |

### Response

| Status | Description |
| ------ | ----------- |
| U      | Undecided   |
| Y      | Yes         |
| N      | No          |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.ivvy.com/events/get-invited-contact-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
